---
- name: Install X.org packages
  apt:
    name:
    - "rpd-plym-splash"
    - "lightdm"
    - "xfwm4"
    - "xauth"
    - "xorg"
    - "xinit"
    - "xserver-xorg-core"
    - "xserver-xorg"
    - "xserver-common"
    - "xfdesktop4"
  tags: general

- name: disable ipv4ll
  lineinfile:
    path: /etc/dhcpcd.conf
    line: noipv4ll
  notify: reboot required

- name: install hostname.sh
  copy:
    src: hostname.sh
    dest: /bin/
    mode: 'ugo+rx'
  tags: general

- name: install rc.local
  copy:
    src: rc.local
    dest: /etc/
    mode: 'ugo+rx'
  tags: general

- name: install signage.txt
  template:
    src: signage.txt.j2
    dest: /boot/signage.txt
  notify: reboot required
  tags: signage-name

- name: install config.txt
  template:
    src: config.txt.j2
    dest: /boot/config.txt
  notify: reboot required

- name: copy logo to boot
  copy:
    src: "{{ logo_name }}"
    dest: "/usr/share/plymouth/themes/pix"

- name: check for patch
  stat:
    path: "/usr/share/plymouth/themes/pix.script.patch"
  register: patch_file

- name: debug patch_file
  debug:
    var: patch_file
    verbosity: 1

- name: copy patch
  template:
    src: pix.script.patch.j2
    dest: "/usr/share/plymouth/themes/pix.script.patch"
  when: not patch_file.stat.exists

- name: apply patch
  shell: patch -p0 < pix.script.patch
  args:
    chdir: "/usr/share/plymouth/themes"
  when: not patch_file.stat.exists

- name: cmdline.txt Options
  copy:
    content: >
      {{ cmd_line_args | join(' ') }}
    dest: "/boot/cmdline.txt"
  vars:
    cmd_line_args:
      - 'dwc_otg.lpm_enable=0'
      - 'console=serial0,115200'
      - 'console=tty1'
      - 'root=/dev/mmcblk0p2'
      - 'rootfstype=ext4'
      - 'elevator=deadline'
      - 'fsck.repair=yes'
      - 'rootwait'
      - 'splash'
      - 'quiet'
      - 'plymouth.ignore-serial-consoles'
      - 'logo.nologo'
      - 'vt.global_cursor_default=0'
  notify: reboot required
  when: cmd_line_args|length > 0
